# Gimp.Image.get_channel_by_name

    @accepts(Gimp.Image, unicode)
    @returns(Gimp.Channel)
    def get_channel_by_name(self, name):
        # Python wrapper for gimp_image_get_channel_by_name()

Find a channel with a given name in an image.

This procedure returns the channel with the given name in the specified image.

Since 2.8

self

  The image.

name

  The name of the channel to find.

Returns